#include "motor_setting.h"

// 13번 디지털핀(LED) 선언
#define led_pin 13      

// 블루투스 받는 문자열
String bluetooth_string = "";

void setup()

{
  // 시리얼통신 초기화(9600)bps
  Serial.begin(9600);
  //블루투스시리얼[하드웨어] 초기화(9600)bps
  Serial1.begin(9600); 
  // 디지털핀 초기화(OUTPUT)
  pinMode(led_pin, OUTPUT);                   
  motor_output();
  digitalWrite(led_pin, HIGH); 
}

void loop()
{
  // 블루투스시리얼[하드웨어] 명령 수신
  if (Serial1.available())
  { // Serial1[하드웨어] 값이 있으면
    bluetooth_string = Serial1.read();  
    Serial.println(bluetooth_string);
  }
  //시리얼모니터에 bluetooth_string 값 출력
  //bluetooth_string 값이 있다면
  if (bluetooth_string != "")         
  { 
    // 실행(1~9)(전화버튼 기준):: ASCII
    // 1 = "49"
    if (bluetooth_string == "49")
    {
      Serial.println("좌전진");
      move_LeftForCornering();
    }

    // 2 = "50"
    if (bluetooth_string == "50")
    {
      Serial.println("전진");
      move_Forward();
    }

    // 3 = "51"
    if (bluetooth_string == "51")
    {
      Serial.println("우전진");
      move_RightForCornering();
    }

    // 4 = "52"
    else if (bluetooth_string == "52")
    {
      Serial.println("왼쪽");
      move_Leftward();  
    }
    // 5 = "53"
    else if (bluetooth_string == "53")
    {
      Serial.println("정지");
      Stop_Moter();
    }

    // 6 = "54"
    else if (bluetooth_string == "54")
    {
      Serial.println("오른쪽");
      move_Rightward();
    }

    // 7 = "55"
    else if (bluetooth_string == "55")
    {
      Serial.println("좌후진");
      move_LeftBackCornering();
    }

    // 8 = "56"
    else if (bluetooth_string == "56")
    {
      Serial.println("후진");
      move_Backward() ;  
    }

    // 9 = "57"
    else if (bluetooth_string == "57")
    {
      Serial.println("우후진");
      move_RightBackCornering();
    }
    
  }
}


